ONVIF::PTZ::Types::VideoSourceConfiguration(3)

NAME
ONVIF::PTZ::Types::VideoSourceConfiguration

DESCRIPTION
Perl data type class for the XML Schema defined complexType VideoSourceConfiguration from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   SourceToken

•   Bounds

•   Extension

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::PTZ::Types::VideoSourceConfiguration
   SourceToken => $some_value, # ReferenceToken
   Bounds => ,
   Extension =>  { # ONVIF::PTZ::Types::VideoSourceConfigurationExtension
     Rotate =>  { # ONVIF::PTZ::Types::Rotate
       Mode => $some_value, # RotateMode
       Degree =>  $some_value, # int
       Extension =>  { # ONVIF::PTZ::Types::RotateExtension
       },
     },
     Extension =>  { # ONVIF::PTZ::Types::VideoSourceConfigurationExtension2
     },
   },
 },

AUTHOR
Generated by SOAP::WSDL